PLAKAR-CREATE(1)

NAME
plakar create - Create a new Plakar repository

SYNOPSIS
plakar [-hashing algorithm] [-no-encryption] [-no-compression]

DESCRIPTION
The plakar command creates a new Plakar repository at the specified path which defaults to ~/.plakar.

The options are as follows:

-hashing algorithm
    Provide alternative hashing algorithm to replace the default. Supported algorithms are BLAKE3 and SHA256, default is BLAKE3.

-no-encryption
    Disable transparent encryption for the repository. If specified, the repository will not use encryption.

-no-compression
    Disable transparent compression for the repository. If specified, the repository will not use compression.

ENVIRONMENT

PLAKAR_PASSPHRASE
    Repository encryption password.

DIAGNOSTICS

0   Command completed successfully.

>0  An error occurred, such as invalid parameters, inability to create the repository, or configuration issues.

SEE ALSO
plakar(1), plakar-backup(1)